---
---
:root {
    /* ********************************************************************** */
    /* Layout colors. */

    --bg-color: #eee;
    --bg-color-dark: #dfdfdf;
    --bg-color-accent: #bebebe;

    --text-color: #444;
    --text-color-accent: #666;
    --link-color: #f00;              /* FIXME fix these colors! */
    --link-hover-color: #ff8c00;
    --link-visited-color: #667292;

    /* ********************************************************************** */
    /* Layout design. */

    --box-color: #bbb;
    --box-corner-radius: 12px;
    --box-style: solid;
    --box-width: 1px;

    --layout-container-width: 90vw;
    --layout-container-max-width: 1024px;

    /* ********************************************************************** */
    /* Font, words, and paragraph styling. */

    --font-family: roboto, helvetica, arial, sans-serif;
    --font-family-accent: roboto, sans-serif;
    --font-family-mono: 'Roboto Mono', monospace;

    --font-size: 16px;
    --font-size-mono: 14px;
    --font-weight: 300;

    --letter-spacing: 0.025em;
    --line-height: 1.8;
    --paragraph-spacing: 1em;
}

/* ************************************************************************** */
/* Roboto font. */

@font-face {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 100;
    src: url("{{ '/assets/vendor/fonts/Roboto-Thin.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: italic;
    font-weight: 100;
    src: url("{{ '/assets/vendor/fonts/Roboto-ThinItalic.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 300;
    src: url("{{ '/assets/vendor/fonts/Roboto-Light.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: italic;
    font-weight: 300;
    src: url("{{ '/assets/vendor/fonts/Roboto-LightItalic.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 400;
    src: url("{{ '/assets/vendor/fonts/Roboto-Regular.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: italic;
    font-weight: 400;
    src: url("{{ '/assets/vendor/fonts/Roboto-Italic.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 500;
    src: url("{{ '/assets/vendor/fonts/Roboto-Medium.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: italic;
    font-weight: 500;
    src: url("{{ '/assets/vendor/fonts/Roboto-MediumItalic.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 700;
    src: url("{{ '/assets/vendor/fonts/Roboto-Bold.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: italic;
    font-weight: 700;
    src: url("{{ '/assets/vendor/fonts/Roboto-BoldItalic.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 900;
    src: url("{{ '/assets/vendor/fonts/Roboto-Black.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto";
    font-style: italic;
    font-weight: 900;
    src: url("{{ '/assets/vendor/fonts/Roboto-BlackItalic.ttf' | relative_url }}");
}

/* ************************************************************************** */
/* Roboto Monospace font. */

@font-face {
    font-family: "Roboto Mono";
    font-style: normal;
    font-weight: 100;
    src: url("{{ '/assets/vendor/fonts/RobotoMono-Thin.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto Mono";
    font-style: italic;
    font-weight: 100;
    src: url("{{ '/assets/vendor/fonts/RobotoMono-ThinItalic.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto Mono";
    font-style: normal;
    font-weight: 300;
    src: url("{{ '/assets/vendor/fonts/RobotoMono-Light.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto Mono";
    font-style: italic;
    font-weight: 300;
    src: url("{{ '/assets/vendor/fonts/RobotoMono-LightItalic.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto Mono";
    font-style: normal;
    font-weight: 400;
    src: url("{{ '/assets/vendor/fonts/RobotoMono-Regular.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto Mono";
    font-style: italic;
    font-weight: 400;
    src: url("{{ '/assets/vendor/fonts/RobotoMono-Italic.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto Mono";
    font-style: normal;
    font-weight: 500;
    src: url("{{ '/assets/vendor/fonts/RobotoMono-Medium.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto Mono";
    font-style: italic;
    font-weight: 500;
    src: url("{{ '/assets/vendor/fonts/RobotoMono-MediumItalic.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto Mono";
    font-style: normal;
    font-weight: 700;
    src: url("{{ '/assets/vendor/fonts/RobotoMono-Bold.ttf' | relative_url }}");
}

@font-face {
    font-family: "Roboto Mono";
    font-style: italic;
    font-weight: 700;
    src: url("{{ '/assets/vendor/fonts/RobotoMono-BoldItalic.ttf' | relative_url }}");
}
